%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/equations-of-motion/constraints.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Constraints}\label{sec:spatial-dynamics:equations-of-motion:constraints}

As is the case with most mechanical systems that are to be investigated in interaction with other bodies, constraints need to be put in place in order to allow for joining bodies.
We require the proximal and distal ends of the cable to be constrained to holonomic position vectors reading
%
\begin{subequations}\label{eqn:spatial-dynamics:equations-of-motion:constraints:constraints}
\begin{align}
  \posconstraints_{\subproximal} \of{\genq, t}
    & = \curve \of{\lpathcoord = 0, t}
        -
        \linpos_{\subproximal} \of{t} \,
      ,
      \label{eqn:spatial-dynamics:equations-of-motion:constraints:constraints:proximal}
    \\
  \posconstraints_{\subdistal} \of{\genq, t}
    & = \curve \of{\lpathcoord = \cablen, t}
        -
        \linpos_{\subdistal} \of{t} \,
        ,
      \label{eqn:spatial-dynamics:equations-of-motion:constraints:constraints:distal}
\end{align}
\end{subequations}
%
where we allow the proximal position~$\linpos_{\subproximal} \of{t}$ to be time-varying much like the distal position~$\linpos_{\subdistal} \of{t}$.
It may not be necessary to describe a time-dependent motion of the cable proximal point as this is generally assumed to be the winch position, while the distal cable point is going to be attached to the platform.
As such, during dynamics simulation, this constraint is time-dependent.
